package com.alttd.altitudeweb.setup;

import com.alttd.altitudeweb.database.Databases;
import com.alttd.altitudeweb.database.chat.ChatLogMapper;
import com.alttd.altitudeweb.database.votingplugin.VotingPluginUsersMapper;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class InitializeChat {

    protected static void init() {
        log.info("Initializing Chat");
        Connection.getConnection(Databases.CHAT, (configuration) -> {
            configuration.addMapper(ChatLogMapper.class);
        }).join();
        log.debug("Initialized Chat");
    }
}
